Skip to Content
Blockhash Docs
API referenceTokens
GET
/v1/pools/{pool}/candles

OHLCV buckets in USD of one pool's priced token. The pool is its address, or its 32-byte id for Uniswap V4, Infinity CL and Ekubo pools.

Path Parameters

pool*string
Match^0x[0-9a-fA-F]{40}$|^0x[0-9a-fA-F]{64}$

Query Parameters

tf?integer
Default300

Value in

  • 60
  • 300
  • 900
  • 3600
  • 14400
  • 86400
limit?integer
Range1 <= value <= 1000
Default400
before?integer

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/pools/string/candles"
{  "pool": "string",  "tf": 0,  "source": "indexer-pool",  "candles": [    {      "t": 0,      "o": 0,      "h": 0,      "l": 0,      "c": 0,      "v": 0    }  ],  "hasMore": true,  "nextBefore": 0}